Bug 17784 - Ability to see funds with an amount of 0.00 when doing a new order
Summary: Ability to see funds with an amount of 0.00 when doing a new order
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Zoe Schoeler
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2016-12-15 15:33 UTC by Alexandre
Modified: 2017-09-12 20:07 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17784 Ability to see funds with an amount of 0.00 when doing a new (1.17 KB, patch)
2017-01-18 00:22 UTC, Zoe Schoeler
Details | Diff | Splinter Review
Bug 17784 Ability to see funds with an amount of 0.00 when doing a new (1.22 KB, patch)
2017-01-18 09:14 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 17784 Ability to see funds with an amount of 0.00 when doing a new (1.28 KB, patch)
2017-01-19 11:41 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre 2016-12-15 15:33:41 UTC
In the acquisition module, funds with an amount of 0.00$ don’t appear in the dropdown list when doing an new order (in accounting details). To do that, we must put 0.01$ to be able to see the information.

Here is the link :
cgi-bin/koha/acqui/neworderempty.pl

Can we add an option to put funds active or inactive to manage them correctly (and see them in the dropdown list) ?

This is usefull to some librairies which must receipt and treat documents for another service through a bigger organization. This other service is in charge of the payment. The document must be present in the list to help librairians to make the follow-up with it.

Thanks,

Alexandre from CCSR
Comment 1 Zoe Schoeler 2017-01-18 00:22:49 UTC
Created attachment 59124 [details] [review]
Bug 17784 Ability to see funds with an amount of 0.00 when doing a new

order

TEST PLAN

1. Go to the acquisition module and create budget with fund of 0.00 and
another fund of 1.00.
2. On acquisitions use a vendor to create a new basket and add an order
to that basket.
3.Find a record and order it.
4. Under accounting details the fund with 0 in it won't be visable.
5. Apply patch and refresh, then it should be.
Comment 2 Claire Gravely 2017-01-18 09:14:19 UTC
Created attachment 59145 [details] [review]
Bug 17784 Ability to see funds with an amount of 0.00 when doing a new

order

TEST PLAN

1. Go to the acquisition module and create budget with fund of 0.00 and
another fund of 1.00.
2. On acquisitions use a vendor to create a new basket and add an order
to that basket.
3.Find a record and order it.
4. Under accounting details the fund with 0 in it won't be visable.
5. Apply patch and refresh, then it should be.

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 3 Kyle M Hall 2017-01-19 11:41:44 UTC
Created attachment 59222 [details] [review]
Bug 17784 Ability to see funds with an amount of 0.00 when doing a new

order

TEST PLAN

1. Go to the acquisition module and create budget with fund of 0.00 and
another fund of 1.00.
2. On acquisitions use a vendor to create a new basket and add an order
to that basket.
3.Find a record and order it.
4. Under accounting details the fund with 0 in it won't be visable.
5. Apply patch and refresh, then it should be.

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Kyle M Hall 2017-01-19 11:42:33 UTC
Pushed to master for 17.05, thanks Zoe!
Comment 5 Katrin Fischer 2017-01-22 17:00:26 UTC
This won't get ported back to 16.11.x as it is an enhancement.
Comment 6 Alexandre 2017-01-26 16:55:55 UTC
Thanks everyone, we appreciate it. I will inform the other users here.

Alexandre
Comment 7 Alexandre 2017-01-26 16:56:46 UTC
Thanks everyone, we appreciate it. I will inform the other users here.

Alexandre